image: node:latest

before_script:
  - apt-get update -qy
  - apt-get install -y ruby-dev
  - gem install dpl

stages:
  - production

production:
  stage: production
  image: ruby:latest
  script:
    - dpl --provider=heroku --app=automata-g1-backend --api-key=$HEROKU_API_KEY
  only:
    - main
